<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Before/After Comparison Slider - AEM Component Documentation</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 40px;
            line-height: 1.6;
        }
        h1, h2 {
            color: blue;
        }
        ul {
            list-style-type: disc;
            margin-left: 20px;
        }
        .dialog-properties {
            border: 1px solid #ddd;
            padding: 15px;
            border-radius: 5px;
            background-color: #f9f9f9;
        }
        .dialog-properties ol {
            margin-left: 20px;
        }
    </style>
</head>
<body>
    <h1>Before/After Comparison Slider - AEM Component Documentation</h1>    
    <h2>Overview</h2>
    <p>The Before/After Comparison Slider is a custom AEM component that allows users to create interactive comparison sliders with two images. It is ideal for highlighting transformations, showcasing product benefits, or illustrating differences between two states.</p>    
    <h2>Features</h2>
    <ul>
        <li>Displays a comparison slider for two images.</li>
        <li>Supports horizontal and vertical orientations.</li>
        <li>Customizable before/after labels.</li>
        <li>Adjustable slider handle to compare images dynamically.</li>
        <li>Caption support for adding descriptive text below the comparison.</li>
        <li>Customizable colors for labels and handle elements.</li>
    </ul>    
    <h2>Functionality</h2>
    <ul>
        <li>Allows users to compare two images interactively.</li>
        <li>Users can drag the handle to reveal more of either image.</li>
        <li>Customizable styling to match branding requirements.</li>
    </ul>    
    <h2>Dialog Properties</h2>
    <div class="dialog-properties">
        <h3>1. General Configuration</h3>
        <ul>
            <li><strong>Image Before</strong> – Option to add the left-side image.</li>
            <li><strong>Image After</strong> – Option to add the right-side image.</li>
            <li><strong>Handle Text</strong> – Option to add text for the handle.</li>
            <li><strong>Orientation</strong> – Option to choose the handle orientation:
                <ul>
                    <li>Horizontal – The handle moves horizontally.</li>
                    <li>Vertical – The handle moves vertically.</li>
                </ul>
            </li>
            <li><strong>Default Offset</strong> – Sets the initial position of the handle. (For example, setting it to 50% places the handle in the middle of both images.)</li>
        </ul>        
        <h3>2. Style Configuration</h3>
        <ul>
            <li><strong>Handle Top Offset</strong> – Adjusts the position of the handle text within the comparison slider. (Setting it to 50% centers the text within the handle.)</li>
            <li><strong>Circle Size</strong> – Option to set the size of the handle's circular area.</li>
            <li><strong>Border Size</strong> – Option to set the thickness of the slider border.</li>
            <li><strong>Handle Text Color</strong> – Option to set the color of the handle text.</li>
            <li><strong>Handle Color</strong> – Option to set the handle color, including the circular area.</li>
        </ul>
    </div>    
    <h2>Usage Instructions</h2>
    <ol>
        <li>Add the component to an AEM page.</li>
        <li>Upload the before and after images.</li>
        <li>Configure the handle text, orientation, and offset as needed.</li>
        <li>Adjust styling options for a customized appearance.</li>
        <li>Preview and publish to enable interactive comparisons.</li>
    </ol>   
    <h2>Additional Notes</h2>
    <ul>
        <li>Ensure images are of equal dimensions for a seamless transition.</li>
        <li>Optimize images to maintain page performance.</li>
    </ul>    
    <h2>Conclusion</h2>
    <p>This component enhances user experience by enabling interactive visual comparisons. It is flexible, customizable, and easy to configure within AEM’s authoring environment.</p>
</body>
</html>

