<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Image Marquee Component</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 40px;
            line-height: 1.6;
        }
        h2 {
            color: blue;
        }
        ul {
            list-style-type: disc;
            margin-left: 20px;
        }
        .dialog-properties {
            border: 1px solid #ddd;
            padding: 15px;
            border-radius: 5px;
            background-color: #f9f9f9;
        }
        .dialog-properties ol {
            margin-left: 20px;
        }
    </style>
</head>
<body>
    <h2>Image Marquee Component</h2>
    <p>The Image Marquee component provides a scrolling image effect. It allows authors to display multiple images in a continuous loop with customizable speed, direction, and hover effects.</p>
    <p>A custom widget designed for displaying images that automatically scroll vertically or horizontally.</p>    
    <h3>Features</h3>
    <ul>
        <li><strong>Scrolling Effect:</strong> Images automatically scroll vertically or horizontally in a continuous loop.</li>
        <li><strong>Speed Control:</strong> Authors can adjust the scrolling speed.</li>
        <li><strong>Direction Control:</strong> Supports Reverse direction.</li>
        <li><strong>Looping:</strong> Images continuously scroll without stopping.</li>
        <li><strong>Custom Image Selection:</strong> Authors can add multiple images as one image.</li>
        <li><strong>Image Action:</strong> Authors can set a link.</li>
    </ul>
    <h3>Dialog Properties</h3>
    <div class="dialog-properties">
        <ol>
            <li><strong>Layout (Dropdown)</strong> – Option to scroll the images vertically or horizontally.</li>
            <li><strong>Image (PathField)</strong> – Option to add Image file (Image can be PNG file).</li>
            <li><strong>Animation Duration (NumberField)</strong> – Option to set speed of scrolling in seconds. (Default value is 20)</li>
            <li><strong>Reverse Direction (CheckBox)</strong> – Option to choose direction to scroll the images.</li>
            <li><strong>Image Action (Dropdown)</strong> – Option to add link to image.
                <ul>
                    <li>No Action (Default)</li>
                    <li>Custom Link</li>
                </ul>
            </li>
            <li><strong>Custom Link (PathField)</strong> – Option to add link to image (only visible if Image Action = ‘Custom Link’).</li>
            <li><strong>Custom Link Target (Dropdown)</strong> – Option to decide if the link opens in the same window or a new window. (only visible if Image Action = ‘Custom Link’).</li>
            <li><strong>Vertical Height (NumberField)</strong> – Option to set vertical height. (Applicable only if Layout = ‘Vertical’).</li>
        </ol>
    </div>
    <h3>Additional Notes</h3>
    <p>Ensure that the images used in the marquee are optimized for web performance to avoid slow page load times. Recommended formats include PNG and JPEG with appropriate compression.</p>
    <p>For a seamless scrolling experience, maintain consistent aspect ratios among all images.</p>
    <h3>Conclusion</h3>
    <p>The Image Marquee component enhances visual engagement by providing a smooth scrolling effect for images. It is highly customizable and can be used in various scenarios such as showcasing logos, product images, or promotional banners.</p>
    <p>By leveraging the available configuration options, authors can easily tailor the component to meet specific design and functional requirements.</p>

</body>
</html>
